curl --request GET \
--url https://carbon-engine.onrender.com/v1/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://carbon-engine.onrender.com/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://carbon-engine.onrender.com/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "<string>",
"orderNumber": "<string>",
"customer": "<string>",
"description": "<string>",
"price_sar_halalas": 123,
"amount_kg": 123,
"creditsPurchased": 123,
"callbackUrl": "<string>",
"state": "<string>",
"portfolio": "<string>",
"certificateUrl": "<string>",
"projectRecords": [
{
"project_id": "<string>",
"project_category_id": "<string>",
"credit_batch_id": "<string>",
"delta": 123,
"recorded_on": "2023-11-07T05:31:56Z"
}
],
"invoice": {
"amountDueSarHalalas": 123,
"balanceAppliedSarHalalas": 123,
"receiptUrl": "<string>"
}
}
]Get List of Orders
Gets a list of orders in reverse chronological order up to the provided limit number of orders per call.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Limits the number of orders returned, default is 20, max is 100
Response
List of all orders
The unique order id
The unique order number
If purchased by customer
Description of the order
Total price of the credits purchased in SAR halalas
Number of carbon credits requested, in kilograms
Number of carbon credits fulfilled, in kilograms
Callback URL for order updates (if any)
Current status of the order, e.g., fulfilled, placed, or cancelled
The portfolio ID related to the order
URL to the order page with the certificate of the carbon credits
List of project records for this order
Show child attributes
Show child attributes
Show child attributes
Show child attributes
